Public Member Functions | Data Fields

# StoryPageElement Struct Reference

Struct about story page elements. More...

`#include <story_base.h>`

Inheritance diagram for StoryPageElement:

## Public Member Functions
| StoryPageElement ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states).
| ~StoryPageElement ()
| (Empty) destructor has to be defined else operator delete might be called with NULL parameter
## Data Fields
uint32 | sort_value
| A number that increases for every created story page element. Used for sorting. The id of a story page element is the pool index.
StoryPageID | page
| Id of the page which the page element belongs to.
StoryPageElementTypeByte | type
| Type of page element.
uint32 | referenced_id
| Id of referenced object (location, goal etc.).
char * | text
| Static content text of page element.

## Detailed Description

Struct about story page elements.

Each StoryPage is composed of one or more page elements that provide page content. Each element only contain one type of content.

Definition at line 47 of file story_base.h.

The documentation for this struct was generated from the following file:

- src/story_base.h